# Class AWSServiceInstance

#### Hierarchy (view full)

- RWSService
  - AWSServiceInstance

- Defined in src/services/AWSService.ts:12

#####
Index

### Constructors

constructor

### Properties

_RELOADABLE
apiGateway
cloudWatch
ec2
efs
iam
lambda
region
s3
_instances

### Methods

_initApis
checkForRolePermissions
firePermissionCheck
getAPIGateway
getCloudWatch
getEC2
getEFS
getIAM
getLambda
getRegion
getReloadable
getS3
reloadService
getSingleton

## Constructors

### constructor

- new AWSServiceInstance(): AWSServiceInstance

- #### Returns AWSServiceInstance

  Overrides RWSService.constructor

  - Defined in src/services/AWSService.ts:23

## Properties

### _RELOADABLE

_RELOADABLE: boolean = false

Inherited from RWSService._RELOADABLE

- Defined in src/services/_service.ts:2

### `Private` apiGateway

apiGateway: APIGateway

- Defined in src/services/AWSService.ts:20

### `Private` cloudWatch

cloudWatch: CloudWatchLogs

- Defined in src/services/AWSService.ts:21

### `Private` ec2

ec2: EC2

- Defined in src/services/AWSService.ts:18

### `Private` efs

efs: EFS

- Defined in src/services/AWSService.ts:16

### `Private` iam

iam: IAM

- Defined in src/services/AWSService.ts:19

### `Private` lambda

lambda: Lambda

- Defined in src/services/AWSService.ts:17

### `Private` region

region: string

- Defined in src/services/AWSService.ts:13

### `Private` s3

s3: S3

- Defined in src/services/AWSService.ts:15

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSService;
} = {}

#### Type declaration

- ##### [key: string]: RWSService

Inherited from RWSService._instances

- Defined in src/services/_service.ts:7

## Methods

### _initApis

- _initApis(region?): void

- #### Parameters

  - ##### `Optional` region: string

  #### Returns void

  - Defined in src/services/AWSService.ts:27

### checkForRolePermissions

- checkForRolePermissions(roleARN, permissions): Promise<{
  OK: boolean;
  policies: string[];
  }>

- #### Parameters

  - ##### roleARN: string

  - ##### permissions: string[]

  #### Returns Promise<{
  OK: boolean;
  policies: string[];
  }>

  - Defined in src/services/AWSService.ts:109

### `Private` firePermissionCheck

- firePermissionCheck(roleARN, permissions): Promise<{
  OK: boolean;
  policies: string[];
  }>

- #### Parameters

  - ##### roleARN: string

  - ##### permissions: string[]

  #### Returns Promise<{
  OK: boolean;
  policies: string[];
  }>

  - Defined in src/services/AWSService.ts:119

### getAPIGateway

- getAPIGateway(region?): APIGateway

- #### Parameters

  - ##### `Optional` region: string

  #### Returns APIGateway

  - Defined in src/services/AWSService.ts:191

### getCloudWatch

- getCloudWatch(region?): CloudWatchLogs

- #### Parameters

  - ##### `Optional` region: string

  #### Returns CloudWatchLogs

  - Defined in src/services/AWSService.ts:198

### getEC2

- getEC2(region?): EC2

- #### Parameters

  - ##### `Optional` region: string

  #### Returns EC2

  - Defined in src/services/AWSService.ts:156

### getEFS

- getEFS(region?): EFS

- #### Parameters

  - ##### `Optional` region: string

  #### Returns EFS

  - Defined in src/services/AWSService.ts:163

### getIAM

- getIAM(region?): IAM

- #### Parameters

  - ##### `Optional` region: string

  #### Returns IAM

  - Defined in src/services/AWSService.ts:184

### getLambda

- getLambda(region?): Lambda

- #### Parameters

  - ##### `Optional` region: string

  #### Returns Lambda

  - Defined in src/services/AWSService.ts:170

### getRegion

- getRegion(region?): string

- #### Parameters

  - ##### `Optional` region: string

  #### Returns string

  - Defined in src/services/AWSService.ts:177

### getReloadable

- getReloadable(): string

- #### Returns string

  Inherited from RWSService.getReloadable

  - Defined in src/services/_service.ts:19

### getS3

- getS3(region?): S3

- #### Parameters

  - ##### `Optional` region: string

  #### Returns S3

  - Defined in src/services/AWSService.ts:149

### reloadService

- reloadService<T>(this, ...params): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Rest` ...params: any[]

  #### Returns InstanceType<T>

  Inherited from RWSService.reloadService

  - Defined in src/services/_service.ts:23

### `Static` getSingleton

- getSingleton<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  Inherited from RWSService.getSingleton

  - Defined in src/services/_service.ts:9

Generated using TypeDoc